(function($) {
    $(document).ready(function() {
        $('#food-calorie-form').on('submit', function(e) {
            e.preventDefault();
            var sourceText = $('#food-query').val().trim();

            if (!sourceText) {
                $('#food-calorie-result').html('Please enter a food item.');
                return;
            }

            translateText(sourceText, function(data) {
                var translatedText = data[0][0][0];

                $.ajax({
                    method: 'GET',
                    url: '/wp-json/myplugin/v1/nutrition/?query=' + encodeURIComponent(translatedText),
                    success: function(result) {
                        var content = '<dl>';
                        $.each(result.items, function(i, item) {
                            content += '<dt>' + sourceText + '</dt>';

                            content += '<dd>- Gramaj: ' + item.serving_size_g + 'gr </dd>';
                
                            content += '<dd>- Kalori: ' + item.calories + '</dd>';
                
                            content += '<dd>- Şeker: ' + item.sugar_g + 'gr </dd>';
                
                            content += '<dd>- Kolestrol: ' + item.cholesterol_mg + 'mg </dd>';
                            // Diğer besin bilgilerini buraya ekleyebilirsiniz
                        });
                        content += '</dl>';
                        $('#food-calorie-result').html(content);
                    },
                    error: function ajaxError(jqXHR) {
                        console.error('Error: ', jqXHR.responseText);
                        $('#food-calorie-result').html('Error: ' + jqXHR.responseText);
                    }
                });
            });
        });

        function translateText(text, callback) {
            var sourceLang = 'tr';
            var targetLang = 'en';
            var translateUrl = "https://translate.googleapis.com/translate_a/single?client=gtx&sl=" 
                               + sourceLang + "&tl=" + targetLang + "&dt=t&q=" + encodeURIComponent(text);

            $.getJSON(translateUrl, function(response) {
                callback(response);
            }).fail(function() {
                console.error('Translation Error');
                $('#food-calorie-result').html('Translation Error');
            });
        }
    });
})(jQuery);