<?php
/**
 * Plugin Name: CKa Food Calorie Info
 * Description: Displays calorie information for foods using external APIs with proxy endpoint.
 * Version: 1.0
 * Author: Cüneyt Kaya
 */

// Kısa kod tanımı.
add_shortcode('food_calorie_info', 'display_food_calorie_info');

// JavaScript dosyasını ekleme.
function enqueue_food_calorie_script() {
    wp_enqueue_script('food-calorie-info-js', plugin_dir_url(__FILE__) . 'food-calorie-info.js', array('jquery'), '1.0', true);
    
    wp_localize_script('food-calorie-info-js', 'foodCalorieInfo', array(
        'apiKey' => '3y8Gc9xv/vvUT7WvNqb/mw==5UsfRVSL9YHDdZRa'
    ));
}
add_action('wp_enqueue_scripts', 'enqueue_food_calorie_script');


function display_food_calorie_info() {
    $content = '<form id="food-calorie-form">';
    $content .= '<input type="text" id="food-query" placeholder="Kalori miktarını merak ettiğiniz besini yazınız">';
    $content .= '<button type="submit">Sonucu Gör</button>';
    $content .= '</form>';
    $content .= '<div id="food-calorie-result"></div>';
    return $content;
}

// REST API endpoint'i için işlev.
function myplugin_proxy_nutrition_request($request) {
    $query = $request->get_param('query');
    $response = wp_remote_get("https://api.calorieninjas.com/v1/nutrition?query=" . urlencode($query), array(
        'headers' => array('X-Api-Key' => '3y8Gc9xv/vvUT7WvNqb/mw==5UsfRVSL9YHDdZRa') // Gerçek API anahtarınızı girin
    ));

    if (is_wp_error($response)) {
        return new WP_Error('api_error', 'API request error', array('status' => 500));
    }

    $body = wp_remote_retrieve_body($response);
    return new WP_REST_Response(json_decode($body), 200);
}

// REST API endpoint'ini kaydetme.
add_action('rest_api_init', function () {
    register_rest_route('myplugin/v1', '/nutrition/', array(
        'methods' => 'GET',
        'callback' => 'myplugin_proxy_nutrition_request'
    ));
});
